curl -X PATCH "https://api.scanova.io/media/bulk/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "status": "completed" }'
{
"id": 12,
"operation_id": "BM-9F3K2LQP",
"status": "completed",
"count": 25,
"upload_count": 25,
"created": "2026-09-08T09:00:00Z",
"modified": "2026-09-08T09:10:00Z"
}
媒体库
更新批量媒体批次
PATCH /media/bulk//
PATCH
/
media
/
bulk
/
{pk}
/
curl -X PATCH "https://api.scanova.io/media/bulk/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "status": "completed" }'
{
"id": 12,
"operation_id": "BM-9F3K2LQP",
"status": "completed",
"count": 25,
"upload_count": 25,
"created": "2026-09-08T09:00:00Z",
"modified": "2026-09-08T09:10:00Z"
}
在管理 API 主机 (
同时支持
api.scanova.io) 上更新此账户拥有的批量媒体批次,使用您的原始管理 API 密钥进行身份验证。
PUT https://api.scanova.io/media/bulk/{pk}/
PATCH https://api.scanova.io/media/bulk/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
必填
批次的
id。string
new、completed 或 failed。integer
更新后的预期文件数量 —— 更改此值会重新运行
BULK_MEDIA 配额检查。curl -X PATCH "https://api.scanova.io/media/bulk/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "status": "completed" }'
{
"id": 12,
"operation_id": "BM-9F3K2LQP",
"status": "completed",
"count": 25,
"upload_count": 25,
"created": "2026-09-08T09:00:00Z",
"modified": "2026-09-08T09:10:00Z"
}
PUT 和 PATCH。如果更改 count 未通过 BULK_MEDIA 配额检查,则返回 403。如果 pk 不属于此账户的批次,则返回 404。
相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Batch updated.
此页面对您有帮助吗?